# Returns a list of transactions for an account for a consent.

Returns a list of transactions for an account for a consent.

Endpoint: GET /stored-data/v1/consents/{consentId}/accounts/{accountId}/transactions
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the consent

  - `accountId` (string, required)
    Unique identifier for the account at the institution

## Query parameters:

  - `searchTerm` (string)
    Term to search in all searchable transaction fields [Description, TransactionCategory.Category, TransactionClassification.Classification, CounterPartyName].

  - `sortField` (string)
    Sort by field
    Enum: "Description", "Amount", "Category", "Classification", "Date"

  - `sortDesc` (boolean)
    Sorting direction "true" is descending, "false" is ascending. Default is "true".

  - `indicator` (string)
    Filter by transaction CreditDebitIndicator.
    Enum: "Credit", "Debit"

  - `category` (array)
    Filter by category.

  - `classification` (array)
    Filter by classification.

  - `from` (string)
    Filter from date (Recommended format: yyyy-MM-dd)

  - `to` (string)
    Filter to date (Recommended format: yyyy-MM-dd)

  - `offset` (integer)
    Pagination offset.

  - `limit` (integer)
    Pagination limit. Default value is 25.

## Response 200 fields (application/json):

  - `data` (array,null)
    Primary data of the response.

  - `data.transactionId` (string,null)
    Unique transaction id assigned by the provider

  - `data.description` (string,null)
    A description line for the transaction

  - `data.amount` (number)
    The quantity of money

  - `data.balance` (number,null)
    The running balance (if available) on the account as of the date and time of this transaction

  - `data.creditDebitIndicator` (string)
    Enum: same as `indicator` (2 values)

  - `data.status` (string)
    Enum: "Pending", "Booked"

  - `data.transactionCode` (object)

  - `data.transactionCode.code` (string,null)
    Specifies the family within a domain.

  - `data.transactionCode.subCode` (string,null)
    Specifies the sub-product family within a specific family.

  - `data.proprietaryTransactionCode` (object)

  - `data.proprietaryTransactionCode.code` (string,null)
    Proprietary bank transaction code to identify the underlying transaction.

  - `data.proprietaryTransactionCode.issuer` (string,null)
    Identification of the issuer of the proprietary bank transaction code.

  - `data.bookingDate` (string,null)
    ISO8601 formatted date string containing the date the transaction is expected to be settled(or did settle)

  - `data.counterPartyName` (string,null)
    Name of the counterparty involved in the transaction (if available) — the creditor for debits and the debtor for credits.

  - `data.merchantDetails` (object)
    Details of the merchant involved in the transaction.

  - `data.merchantDetails.merchantName` (string,null)
    Name by which the merchant is known.

  - `data.merchantDetails.merchantCategoryCode` (string,null)
    Category code conform to ISO 18245, related to the type of services or goods the
merchant provides for the transaction.

  - `data.enrichedData` (object)

  - `data.enrichedData.category` (object)

  - `data.enrichedData.category.id` (integer)

  - `data.enrichedData.category.name` (string,null)

  - `data.enrichedData.category.confidence` (number)
    Confidence score range: 0.0 - 1.0

  - `data.enrichedData.class` (object)

  - `data.enrichedData.predictedMerchantName` (string,null)

  - `data.transfer` (object)
    Represents a transfer transaction between two associated accounts.

  - `data.transfer.pairId` (integer)
    The Id which both the transaction out and transaction in will share

  - `data.transfer.associatedAccountId` (string,null)
    Account ID that the transfer has either gone to or come from, depending on whether this is a debit or credit

  - `meta` (object)

  - `meta.totalRecords` (integer)
    The total available records for this paged response.

## Response 400 fields (application/json):

  - `code` (string,null)
    Error code.

  - `description` (string,null)
    Error message.

  - `details` (string,null)
    Error details.

  - `correlationId` (string,null)
    User transaction tracking Id


## Response 401 fields
